<?php
namespace Reaktion\OrderId;

use Reaktion\Common\OrderScript;

class Script extends OrderScript
{
    /** @var int $order_id */
    public function handle($order_id)
    {
        $this->displayInlineScript('checkout', $this->script($order_id));
    }

    /**
     * @param string $order_id
     * @return string
     */
    private function script($order_id)
    {
        return <<<EOF
window.reaktionStoreOrderId = '{$order_id}';
EOF;
    }
}
