<?php
namespace Reaktion\PluginIntegrations;

class WPRocket
{
    public function __construct()
    {
        add_filter('rocket_delay_js_exclusions', [$this, 'handleWpRocket']);
    }

    /**
     * @var array $excluded
     * @see https://github.com/wp-media/wp-rocket/blob/develop/inc/Engine/Optimization/DelayJS/HTML.php
     */
    public function handleWpRocket($excluded)
    {
        $excluded[] = 'reaktion';
        return $excluded;
    }
}
