<?php
namespace Reaktion\Common;

trait DisplaysScripts
{
    /**
     * @var string $name
     * @var string $content
     */
    protected function displayInlineScript($name, $content)
    {
        $prefixedName = "reaktion-{$name}";
        wp_register_script($prefixedName, '');
        wp_enqueue_script($prefixedName);
        wp_add_inline_script($prefixedName, $content);
    }
}
