<?php
namespace Reaktion;

class Main
{
    public function __construct()
    {
        if (!$this->should_initialize()) {
            return;
        }
        new OrderId\Script();
        new PluginIntegrations\WPRocket();
        new Sessions\CartIdCookie();
        new Sessions\SessionIdCookie();
        new Sessions\SessionEndpoint();
        new Sessions\SessionEndpointScript();
        new Settings\SettingsPages();
        new TrackingScript\Script();
    }

    /** @return bool */
    private function should_initialize()
    {
        return in_array(
            'woocommerce/woocommerce.php',
            apply_filters('active_plugins', get_option('active_plugins'))
        );
    }
}
